Subject: Re: ISDN testing

From: Jeff Garzik <[email-masked]>
Date: Mon, 21 Apr 2008 15:22:08 -0400

Frans Pop wrote:
> On Monday 21 April 2008, Jeff Garzik wrote:
>> Frans Pop wrote:
>>> The cards I have are:
>>> - Teles 16.3 ISA -- worked way back when with Debian Woody
>>> - ITK ix1-micro 2.1 ISA
>>> - Eicon Diva 2.01 PCI
>> Honestly, a module-load test on real hardware can give us some useful
>> information, even if it's not connected to anything.
>>
>> My changes are primarily in the probe-the-hardware area, so successfully
>> making it past that new code would indeed be a useful data point.
>>
>> Check out the kernel found in 'isdn-pci' branch of
>> git://git.kernel.org/pub/scm/linux/kernel/git/jgarzik/misc-2.6.git
> 
> Turns out all 3 cards are supported by the same basic driver: hisax, so
> I can only test for the one driver. The Eicon Diva uses an additional
> module though: hisaxdiva.
> 
> I've put the last 2 cards in one machine and (after some fiddling with
> jumpers and interrupts and IO ports :-) both are detected perfectly with
> 2.6.24 when hisax is modprobed.
> 
> Advantage of using the two cards is that it covers both PCI and ISA.
> The PCI card gets configured automagically, while the ISA card requires
> module parameters for io/irq.
> 
> I've compiled a kernel based on your 'isdn-pci' branch, and it boots fine.
> 
> But when I tried to modprobe hisax, I got:
> # modprobe hisax
> FATAL: Module hisax not found.
> 
> Cause seems to be:
> # depmod -a
> WARNING: Module /lib/modules/2.6.25-isdn/kernel/drivers/isdn/hisax/hisaxdiva.ko 
> ignored, due to loop
> WARNING: Module /lib/modules/2.6.25-isdn/kernel/drivers/isdn/hisax/libhisax.ko 
> ignored, due to loop
> WARNING: Loop 
> detected: /lib/modules/2.6.25-isdn/kernel/drivers/isdn/hisax/hisax.ko needs 
> libhisax.ko which needs hisax.ko again!
> WARNING: Module /lib/modules/2.6.25-isdn/kernel/drivers/isdn/hisax/hisax.ko 
> ignored, due to loop

Yeah, that's what my patchset does -- splits the "hisax" driver into 
multiple smaller drivers.  Thus, "modprobe hisax" produces the results 
that you are seeing.

You'll need to determine which newly-created kernel module applies to 
your hardware.  Let me know if you need help with that.  The new drivers 
should be in /lib/modules/2.6.25-isdn/kernel/drivers/isdn/hisax/ 
provided that you enabled them in the kernel configuration.

	Jeff